# Generated from yaml-safe_load_stream2-0.1.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name yaml-safe_load_stream2

Name: rubygem-%{gem_name}
Version: 0.1.1
Release: 1%{?dist}
Summary: Adds YAML.safe_load_stream for safely parsing multi-document YAML streams
License: Apache-2.0
URL: https://github.com/tsutsu/yaml-safe_load_stream2
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.3
# BuildRequires: rubygem(rubocop)
# BuildRequires: rubygem(rspec) >= 3.0
# BuildRequires: rubygem(rspec) < 4
BuildArch: noarch

%description
The Ruby standard library defines YAML.safe_load and YAML.load_stream but
there's no way to safely load a multi document stream. This Gem adds
YAML.safe_load_stream.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md

%changelog
* Wed Aug 25 2021 mockbuilder - 0.1.1-1
- Initial package
